Skip to content
Docs

Update deployment integration action

PATCHhttps://api.vercel.com/v1/deployments/{deploymentId}/integrations/{integrationConfigurationId}/resources/{resourceId}/actions/{action}
Updates the deployment integration action for the specified integration installation
https://api.vercel.com/v1/deployments/{deploymentId}/integrations/{integrationConfigurationId}/resources/{resourceId}/actions/{action}
const response = await fetch('https://api.vercel.com/v1/deployments/deploymentId/integrations/integrationConfigurationId/resources/resourceId/actions/action', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"status": "running",
"statusText": "string",
"statusUrl": "https://example.com",
"outcomes": [
{
"kind": "string",
"secrets": [
{
"name": "Example Name",
"value": "string"
}
]
}
]
}),
});
const data = await response.json();
console.log(data);
Response
{}
AuthorizationbearerToken

Default authentication mechanism

deploymentIdstringRequired
integrationConfigurationIdstringRequired
resourceIdstringRequired
actionstringRequired
application/json
statusstringOptional
statusTextstringOptional
statusUrlstringOptional
outcomesarrayOptional
202Success
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
410Error